package com.free.video.wallpaper.uipage;

import android.content.Intent;
import android.os.CountDownTimer;
import android.view.View;

import com.free.video.wallpaper.baseapp.MyBaseActivity;
import com.free.video.wallpaper.databinding.PageSplashBinding;

public class PageSplash extends MyBaseActivity<PageSplashBinding> {

    private static final long SPLASH_TIME_OUT = 2000L;
    private CountDownTimer countDownTimer;

    @Override
    protected PageSplashBinding getViewBinding() {
        return PageSplashBinding.inflate(getLayoutInflater());
    }

    @Override
    protected void onCreateInit() {
        countDownTimer = new CountDownTimer(SPLASH_TIME_OUT,100) {
            @Override
            public void onTick(long millisUntilFinished) {
                float v = 100 - (float) millisUntilFinished / SPLASH_TIME_OUT * 100;
                int v1 = (int) v;
                vb.progressBar.setProgress(v1);
            }

            @Override
            public void onFinish() {
                vb.progressBar.setProgress(100);
                Intent intent = new Intent(PageSplash.this, PageMain.class);
                startActivity(intent);
                finish();
            }
        };
//        countDownTimer = AdManager.showWelcomeAd(WelcomeActivity.this, SPLASH_TIME_OUT, new CountAction() {
//            @Override
//            public void onCount(long millisUntilFinished) {
//                float v = 100 - (float) millisUntilFinished / SPLASH_TIME_OUT * 100;
//                int v1 = (int) v;
//                vb.progressBar.setProgress(v1);
//            }
//        }, new GoMainAction() {
//            @Override
//            public void onGo() {
//                vb.progressBar.setProgress(100);
//                Intent intent = new Intent(WelcomeActivity.this, MainActivity.class);
//                startActivity(intent);
//                finish();
//            }
//        });
        countDownTimer.start();
    }

    @Override
    protected void onInitClick() {

    }

    @Override
    public boolean isFullScreen() {
        return true;
    }

    @Override
    public boolean statusBarLight() {
        return false;
    }

    @Override
    public void onClick(View view) {

    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        if(countDownTimer!= null){
            countDownTimer.cancel();
            countDownTimer = null;
        }
    }
}